use axum::Router;
use tower_http::services::{ServeDir, ServeFile};

#[shuttle_runtime::main]
#[allow(clippy::unused_async)]
async fn main() -> shuttle_axum::ShuttleAxum {
    let router = Router::new().fallback_service(
        ServeDir::new("frontend/dist/frontend/browser")
            .not_found_service(ServeFile::new("frontend/dist/frontend/browser/index.html")),
    );

    Ok(router.into())
}
